Bug 1059753 - Warn with a user-friendly error message when permissions on sssd.conf are incorrect
Summary: Warn with a user-friendly error message when permissions on sssd.conf are inc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 14:58 UTC by Jakub Hrozek
Modified: 2020-05-02 17:36 UTC (History)
7 users (show)

Fixed In Version: sssd-1.11.2-39.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:42:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3250 None None None 2020-05-02 17:36:27 UTC

Description Jakub Hrozek 2014-01-30 14:58:53 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2208

When permissions or ownership on sssd.conf incorrect, we only print a DEBUG message saying:

"Insufficient permissions to read configurationfile."

We should a) hint that the expected permissions and ownership are 0600 root.root and b) print a syslog message in addition to a DEBUG message.

Comment 2 Jakub Hrozek 2014-02-11 20:55:04 UTC
Pushed upstream:
    sssd-1-11: a54c7b1ccfd6e0a049da26afc3a2e87b332ec40e
    master: b3cc9b98966fa2d90172348c334b3b70c5261ab3

Comment 4 Amith 2014-02-26 12:12:08 UTC
Verified the bug on SSSD Version: sssd-1.11.2-40.el7.x86_64

As part of verification, i gave incorrect permission to sssd.conf file. When attempted to start the service, following log files showed below given error messages:

1. /var/log/sssd/sssd.log -

(Wed Feb 26 17:35:13:974459 2014) [sssd] [load_configuration] (0x0010): ConfDB initialization has failed [Operation not permitted]
(Wed Feb 26 17:35:13:974509 2014) [sssd] [main] (0x0020): Cannot read config file /etc/sssd/sssd.conf. Please check if permissions are 0600 and the file is owned by root.root.

2. /var/log/messages -

Feb 26 17:35:13 rhel-7 sssd: Cannot read config file /etc/sssd/sssd.conf. Please check if permissions are 0600 and the file is owned by root.root.
Feb 26 17:35:13 rhel-7 systemd: sssd.service: control process exited, code=exited status=4
Feb 26 17:35:13 rhel-7 systemd: Failed to start System Security Services Daemon.

Comment 5 Ludek Smid 2014-06-13 12:42:43 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.